CVE-2015-8472

HIGH

Description

Buffer overflow in the png_set_PLTE function in libpng before 1.0.65, 1.1.x and 1.2.x before 1.2.55, 1.3.x, 1.4.x before 1.4.18, 1.5.x before 1.5.25, and 1.6.x before 1.6.20 allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a small bit-depth value in an IHDR (aka image header) chunk in a PNG image. NOTE: this vulnerability exists because of an incomplete fix for CVE-2015-8126.

References

http://lists.apple.com/archives/security-announce/2016/Mar/msg00004.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-January/174905.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-January/174936.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-January/175073.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00038.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00041.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00042.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00043.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00044.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00045.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00047.html

http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00048.html

http://rhn.redhat.com/errata/RHSA-2015-2594.html

http://rhn.redhat.com/errata/RHSA-2015-2595.html

http://rhn.redhat.com/errata/RHSA-2015-2596.html

http://rhn.redhat.com/errata/RHSA-2016-0055.html

http://rhn.redhat.com/errata/RHSA-2016-0056.html

http://rhn.redhat.com/errata/RHSA-2016-0057.html

http://sourceforge.net/projects/libpng/files/libpng10/1.0.65/

http://sourceforge.net/projects/libpng/files/libpng12/1.2.55/

http://sourceforge.net/projects/libpng/files/libpng14/1.4.18/

http://sourceforge.net/projects/libpng/files/libpng15/1.5.25/

http://sourceforge.net/projects/libpng/files/libpng16/1.6.20/

http://www.debian.org/security/2016/dsa-3443

http://www.openwall.com/lists/oss-security/2015/12/03/6

http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html

http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html

http://www.securityfocus.com/bid/78624

https://access.redhat.com/errata/RHSA-2016:1430

https://kc.mcafee.com/corporate/index?page=content&id=SB10148

https://support.apple.com/HT206167

Details

Source: MITRE

Published: 2016-01-21

Updated: 2017-11-04

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 7.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Impact Score: 3.4

Exploitability Score: 3.9

Severity: HIGH